package watch_graph //nolint:staticcheck

import (
	fluxkustomizev1 "gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v18/internal/module/kubernetes_api/agentk/watch_graph/vendored/github.com/fluxcd/pkg/apis/kustomize"
)

func (vx *wgObject2vertex) collectFluxCDKustomizePatchesV1Arcs(objs []fluxkustomizev1.Patch) {
	collectEach(objs, ReferenceArcType, func(t *fluxkustomizev1.Patch, arcType ArcType) {
		if t.Target != nil {
			vx.setArcTo(t.Target.Group, t.Target.Kind, t.Target.Name, t.Target.Namespace, ArcAttrs{}, arcType)
		}
	})
}
